<?php

namespace OzzModz\WebsiteVerification\Helper;

class Dns
{
	public function findTxtRecord($hostname, $content)
	{
		$txtRecords = @dns_get_record($hostname, DNS_TXT);
		if (!$txtRecords)
		{
			return null;
		}

		foreach ($txtRecords as $record)
		{
			if ($record['type'] == 'TXT' && $record['txt'] == $content)
			{
				return $record['txt'];
			}
		}

		return null;
	}
}