<?php

namespace OzzModz\WebsiteVerification\Option;

class VerificationKey extends \XF\Option\AbstractOption
{
	public static function verifyOption($value, \XF\Entity\Option $option)
	{
		if (!preg_match('/^[a-z_\-\d]+$/i', $value))
		{
			$option->error(\XF::phrase('please_enter_valid_twitter_name_using_alphanumeric'));
			return false;
		}

		return true;
	}
}