<?php

namespace OzzModz\WebsiteVerification\Pub\View\Website;

class Download extends \XF\Mvc\View
{
	public function renderRaw()
	{
		/** @var \OzzModz\WebsiteVerification\Entity\Website $website */
		$website = $this->params['website'];

		$filename = \XF::app()->options()->ozzmodz_wv_verificationKey;

		$this->response
			->setAttachmentFileParams("$filename", "txt")
			->setDownloadFileName("$filename.txt");

		$tempFile = \XF\Util\File::getTempFile();
		file_put_contents($tempFile, $website->verification_code);

		return $this->response->responseFile($tempFile);
	}
}
